%define major 0
%define libname %mklibname dmtx %major
%define develname %mklibname -d dmtx


Name:		libdmtx
Version:	0.7.4
Release:	%mkrel 6
Summary:	a library for reading and writing Data Matrix 2D barcodes
Source0:	http://downloads.sourceforge.net/project/libdmtx/libdmtx/0.7.2/%{name}-%{version}.tar.bz2
Group:		Development/C++
License: 	GPLv2
URL:		http://www.libdmtx.org
BuildRequires:	imagemagick-devel

%description
libdmtx is open source software for reading and writing Data Matrix 2D barcodes
on Linux and Unix. At its core libdmtx is a shared library, allowing C/C++
programs to use its capabilities without restrictions or overhead.

%files
%doc AUTHORS ChangeLog README NEWS KNOWNBUG

#-------------------------------------------------------------------------------

%package -n %libname
Group: Development/C++
Summary: %{name} library package

%description -n %libname
%summary.

%files -n %libname
%{_libdir}/%{name}.so.%{major}{,.*}
%{_mandir}/man3/%{name}*
#-------------------------------------------------------------------------------

%package -n %develname
Group: Development/C++
Summary: %{name} developement files
Provides: %{name}-devel = %version-%release
Requires: %libname = %version

%description -n %develname
This package contains header files needed when building applications based on
%{name}.

%files -n %develname
%{_includedir}/dmtx.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#-------------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

# don't ship .la
rm -f %{buildroot}%{_libdir}/*.la



%changelog
* Sat Jan 30 2016 umeabot <umeabot> 0.7.4-6.mga6
+ Revision: 929066
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7.4-5.mga5
+ Revision: 740871
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.4-4.mga5
+ Revision: 681418
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.7.4-3.mga4
+ Revision: 507008
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.7.4-2.mga3
+ Revision: 356996
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 28 2012 tv <tv> 0.7.4-1.mga2
+ Revision: 202514
- utils were splited out
- new release

* Tue Sep 13 2011 fwang <fwang> 0.7.2-2.mga2
+ Revision: 142822
- rebuild for new imagemagick

* Sat Jan 15 2011 mikala <mikala> 0.7.2-1.mga1
+ Revision: 18690
- Add libxt-devel as BR
- imported package libdmtx


* Tue Aug 31 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.7.2-1mdv2011.0
+ Revision: 574836
- import libdmtx

